package com.lukouguoji.module_base.bean

import androidx.databinding.BaseObservable
import androidx.databinding.Bindable
import androidx.databinding.ObservableBoolean
import com.lukouguoji.module_base.BR
import com.lukouguoji.module_base.interfaces.ICheck

class MessageBean : BaseObservable(), ICheck {
    var id: String = ""

    // 消息内容
    var content: String = ""

    // 创建时间
    var createtime: String = ""

    // 角色
    var role: String = ""

    // 状态 0：未处理、1：已处理
    @Bindable
    var state: String = ""
        set(value) {
            field = value
            notifyPropertyChanged(BR.state)
        }

    val checked = ObservableBoolean(false)

    override fun getCheckObservable() = checked
}